svg { 
	max-height: 100%;
}
#blockly {
  position: fixed;
  bottom: 10px;
}
#visualization {
  position: relative;
}
#capacityBubble {
  position: absolute;
  margin-top: -0.5em;
  left: 10px;
  top: 375px;
}
html[dir="RTL"] #capacityBubble {
  left: auto;
  right: 10px;
}
#capacity {
  display: none;
  color: #fff;
  padding: 5px 1em;
  border-radius: 15px;
  background-color: rgba(64,64,64,0.7);
  font-size: large;
}
.capacityNumber {
  font-weight: bold;
}
#sampleOneTopBlock {
  height: 80px;
  width: 250px;
}
#pegSpin {
  height: 50px;
  width: 49px;
  background-position: -343px 0px;
  margin-top: 10px;
  position: absolute;
}
html[dir="RTL"] #pegSpin {
  background-position: -441px 0px;
}

.helpMenuFake {
  border-radius: 4px;
  background-color: #bfcdde;
  color: #000;
  padding: 0 1ex;
  cursor: default;
}
img[src$="help_up.png"] {
  margin: -20px 10px 0;
  height: 64px;
  width: 23px;
}
img[src$="help_down.png"] {
  margin: 0 10px -20px;
  height: 64px;
  width: 23px;
}

#svgMaze {
  overflow: hidden;
}

/* 'Look' icon */
#look>path {
  display: none;
  fill: none;
  stroke-width: 10;
  stroke-linecap: round;
  stroke-opacity: 0.7;
}

/* Buttons */
button.primary {
  /* Can't use "text-align: start" due to IE. */
  text-align: left;
}
html[dir="RTL"] button.primary {
  text-align: right;
}

/* Sprited icons. */
.icon21 {
  height: 21px;
  width: 21px;
  background-image: url(icons.png);
}
.link {
  background-position: 0px 0px;
}
.run {
  background-position: 0px -21px;
}
.stop {
  background-position: -21px -21px;
}

#pegmanButton {
  padding: 0;
  position: relative;
}
#pegmanButton:active {
  border: 1px solid #ddd !important;
}
#pegmanButton>img {
  margin-left: -0.5ex;
  margin-right: 0.5ex;
  height: 38px;
  width: 49px;
  background-position: -980px 0px;
  opacity: 0.8;
}
html[dir="RTL"] #pegmanButton>img {
  margin-left: 0.5ex;
  margin-right: -0.5ex;
}
#pegmanButton>span {
  position: absolute;
  top: 0.8ex;
  margin-left: -15px;
}
html[dir="RTL"] #pegmanButton>span {
  margin-right: -15px;
}
#pegmanMenu {
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 2px 2px 5px #888;
  display: none;
  position: absolute;
  top: 0;
  right: 0;
}
#pegmanMenu>div {
  background-color: #fff;
}
#pegmanMenu>div:hover {
  background-color: #57e;
}
#pegmanMenu>div>img {
  height: 38px;
  width: 49px;
  background-position: -980px 0px;
}
  @media screen and (max-width: 992px){
  #responsiveBox{
   display: flex;
   flex-direction: column;
   height: fit-content;
   justify-content: flex-start;
   align-items: center;
  }
  #visualization{
    width: 100%;
  }
  #blockly {
    position: unset;
    width: 100% !important;
    min-height: 500px;
    height: fit-content;
  }
  .injectionDiv{
    overflow: visible;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
    margin: 0;
    height: fit-content;
    position: relative;
  }
  .blocklySvg{
    width: 100% !important;
    /* height: fit-content !important; */
  }

  .blocklyFlyout{
    width: 150px !important;
    height: 495px !important;
  }
   .blocklyWorkspace{
    width: 160px !important;
    height: 500px !important;
    position: absolute;
    left: 0;

    transform: scale(0.9);

    z-index: -2;
  }
  .blocklyMainBackground{
    width: 100% !important;

    transform: scale(1.1);

  }
  .blocklyWorkspace~g{
    width: 60%;
  }

  .blocklyWorkspace>rect{
    height: 500px !important;
  }
  .blocklyMainBackground{
    width: 100%;
    position: absolute;
    left: 0;
    z-index: -2;
  }
  .blocklyTrash{
    display: none;
    position: relative;
    right: 0;
    bottom: 0;
  }
   #title {
    display: block;
    margin-bottom: 16px;
  }
  #svgMaze {
    width: 100%;
  }
  #pegmanButton {
    margin-right: 0;
  }
  #runTable {
    width: 102%;
    margin-bottom: 20px;
    padding: 0;
  }
  #runButton {
    margin: 0;
    width: 100%;
  }
  #resetButton{
    margin: 0;
    width: 100%;
  }
  #dialog{
    width: 90% !important;
    left: 2% !important;
  }
  #dialogHelpSkins{
    visibility: hidden;
  }
  .dialogHiddenContent{
    top: 100px;
  }
 .blocklyWsDragSurface.blocklyOverflowVisible{
  display: none;
 }
 .blocklyOverflowVisible{
  display: none;
 }
 .blocklyWsDragSurface{
  display: none;
 }

}
@media screen and (min-width: 670px) and (max-width: 992px){
  #dialog{
    width: 70% !important;
    left: 12% !important;
  }
  #svgMaze {
    width: 70% !important;
    height: auto;
    padding: 0 15%;
  }

  #runRow {
    width: 100%;
    display: flex;
    justify-content: center;
    padding-top: 20px;
  }
  #runButton {
    margin: 0;
    width: 70%;
  }
  #resetButton{
    margin: 0;
    width: 70%;
  }
  #blockly {
    width: 70% !important;
    margin: auto;

  }
  #capacityBubble{
  left: 35%;
  top: unset;
 }
}
@media screen and (min-width: 880px) and (max-width: 992px) {
  #responsiveBox{
    display: inline-block;
    height: calc(100vh - 120px);
   }
  #blockly {
    position: fixed;
    bottom: 10px;
    width: 65vw !important;
    min-height: unset;
    height: unset;
  }
  .injectionDiv{
    position: unset;
    overflow: hidden;
    display: unset;

    height: 100vh !important;
    width: calc(100vw - 400px) !important;
  }
  #svgMaze {
    overflow: hidden;
    width: unset !important;
    height: unset;
    padding: 0;
  }
  #pegmanButton {
    display: block;
    padding: 0;
    position: relative;
    margin-right: unset;
  }

  .blocklyFlyout{
    left: 0;
    position: unset;
    height: 100vh;
  }
  .blocklySvg{
    width: 100% !important;
    height: 100% !important;
    width:710px;
    height:721px;
  }
  .blocklyWorkspace{
    width: 100% !important;
    height: 100vh !important;
    position: unset;
  }
 
  .blocklyMainBackground{
    width: 100% !important;
    height: 85% !important;
  }
  .blocklyWorkspace~g{
    width: unset;
  }
  .blocklyBlockDragSurface{
    width: unset;
  }
  .blocklyWorkspace>rect{
    height: 90vh !important;
  }
  .blocklyTrash{
    display: none;
    position: unset;
    right: 0;
    bottom: 0;
  }
    .blocklyTrash > clipPath{
    display: none;
  }
      .blocklyTrash > image{
    display: none;
  }
  #runRow {
    width: unset !important;
  }
  #runButton {
    width: auto;
  }
  #runTable {
    width: unset !important;
  }
  #dialog{
    width: 40% !important;
    margin-left: 15%;
  }
  #title {
    display: unset;
    margin-bottom: 0;
  }
}

